package com.zjty.tynotes.attendance.dao;

import com.zjty.tynotes.attendance.entity.WorkoverAppro;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Date;
import java.util.List;

/**
 * @Author gwj
 * @create 2020/4/13 13:02
 */
public interface WorkoverApproDao extends MongoRepository<WorkoverAppro,String> {
    WorkoverAppro findByApplyIdContainsAndStatusAndDate(String userId, String status, Date date);

    List<WorkoverAppro> findAllByUserId(String userId);

    List<WorkoverAppro> findAllByAuditIdAndStatusIn(List<String> userIds);

    List<WorkoverAppro> findAllByStatusIn(List<String> userIds);
}
